set r Regions /
	msk	Moscow -- city (cen)
	bel	Belgorodskaya oblast (cen)
	bry	Bryanskaya oblast (cen)
	vla	Vladimirskaya oblast (cen)
	vor	Voronezhskaya oblast (cen)
	iva	Ivanovskaya oblast (cen)
	kal	Kaluzhskaya oblast (cen)
	kos	Kostromskaya oblast (cen)
	krs	Kurskaya oblast (cen)
	lip	Lipetskaya oblast (cen)
	mos	Moskovskaya oblast (cen)
	orl	Orlovskaya oblast (cen)
	rya	Ryazanskaya oblast (cen)
	smo	Smolenskaya oblast (cen)
	tam	Tambovskaya oblast (cen)
	tve	Tverskaya oblast (cen)
	tul	Tulskaya oblast (cen)
	yar	Yaroslavskaya oblast (cen)

	spb	Saint-Petersburg -- city (nor)
	krl	The Republic of Karelia (nor)
	kom	The Republic of Komi (nor)
	arh	Arkhangelskaya oblast (nor)
	vol	Vologodskaya oblast (nor)
	klg	Kaliningradskaya oblast (nor)
	len	Leningradskaya oblast (nor)
	mur	Murmanskaya oblast (nor)
	nov	Novgorodskaya oblast (nor)
	psk	Pskovskaya oblast (nor)

	ros	Rostovskaya oblast (sou)
	vlg	Volgogradskaya oblast (sou)
	ady	The Republic of Adygeya (sou)
	dag	The Republic of Dagestan (sou)
	ing	The Republic of Ingushetia (sou)
	kab	The Republic of Kabardino-Balkaria (sou)
	klr	The Republic of Kalmykia (sou)
	kar	The Republic of Karachaevo-Cherkessia (sou)
	sev	The Republic of North Osetia (sou)
	chr	The Republic of Chechnya (sou)
	kdk	Krasnodarsky krai (sou)
	sta	Stavropolsky krai (sou)
	ast	Astrakhanskaya oblast (sou)

	bas	The Republic of Bashkortostan (pvl)
	mar	The Republic of Mari El (pvl)
	mor	The Republic of Mordovia (pvl)
	tat	The Republic of Tatarstan (pvl)
	udm	The Republic of Udmurtia (pvl)
	chv	The Republic of Chuvashia (pvl)
	kir	Kirovskaya oblast (pvl)
	niz	Nizhegorodskaya oblast (pvl)
	ore	Orenburgskaya oblast (pvl)
	pen	Penzenskaya oblast (pvl)
	per	Permskaya oblast (pvl)
	sam	Samarskaya oblast (pvl)
	sar	Saratovskaya oblast (pvl)
	ulo	Ulyanovskaya oblast (pvl)

	krg	Kurganskaya oblast (ura)
	sve	Sverdlovskaya oblast (ura)
	tum	Tumenskaya oblast (ura)
	chl	Chelyabinskaya oblast (ura)

	alr	Altay republic (sib)
	bur	The Republic of Buryatia (sib)
	tyv	The Republic of Tyva (sib)
	hak	The Republic of Khakasia (sib)
	alt	Altaisky krai (sib)
	kra	Krasnoyarsky krai (sib)
	irk	Irkutskaya oblast (sib)
	kem	Kemerovskaya oblast (sib)
	nvs	Novosibirskaya oblast (sib)
	oms	Omskaya oblast (sib)
	tom	Tomskaya oblast (sib)
	chi	Chitinskaya oblast (sib)

	sah	The Republic of Sakha (far)
	pri	Primorsky krai (far)
	hab	Khabarovsky krai (far)
	amu	Amurskaya oblast (far)
	kam	Kamchatskaya oblast (far)
	mag	Magadanskaya oblast (far)
	sao	Sakhalinskaya oblast (far)
	eao	Jewish AO (far)
	chu	Chukotsky AO (far)

	agi	Aginsky Buryatsky AO (sib)
	eve	Evenksky AO (sib)
	kha	Khanty-Mansiysky AO (ura)
	kpa	Komi-Permyatsky AO (pvl)
	kor	Koryaksky AO (far)
	nen	Nenetsky AO (nor)
	tai	Taimyrsky AO (sib)
	ust	Ust-Ordynsky AO (sib)
	yam	Yamalo-Nenetsky AO (ura) /;

set	n	Numeric indices /
	0100 Karelia
	0200 Komi
	0309 Arkhangelskaya
	0400 Vologodskaya
	0500 Murmanskaya
	0601 St.Petersburg
	0609 Leningradskaya
	0700 Novgorodskaya
	0800 Pskovskaya
	0900 Bryanskaya
	1000 Vladimirskaya
	1100 Ivanovskaya
	1200 Kaluzhskaya
	1300 Kostromskaya
	1401 Moscow
	1409 Moscovskaya
	1500 Orlovskaya
	1600 Ryazanskaya
	1700 Smolenskaya
	1800 Tverskaya
	1900 Tulskaya
	2000 Yaroslavskaya
	2100 Marii El
	2200 Mordovia
	2300 Chuvashiya
	2400 Kirovskaya
	2500 Nizhegorodskaya
	2600 Belgorodskaya
	2700 Voronezhskaya
	2800 Kurskaya
	2900 Lipetskaya
	3000 Tambovskaya
	3100 Kalmykia
	3200 Tatarstan
	3300 Astrakhanskaya
	3400 Volgogradskaya
	3500 Penzenskaya
	3600 Samarskaya
	3700 Saratovskaya
	3800 Ulyanovskaya
	3900 Dagestan
	4000 Kabardino-Balkaria
	4100 Sev.Osetia
	4201 Ingushetia
	4202 Chechnya
	4301 Agygeya
	4309 Krasnodarskii
	4401 Karachaevo-Cherkesia
	4409 Stavropolskii
	4500 Rostovskaya
	4600 Bashkortostan
	4700 Udmurtia
	4800 Kurganskaya
	4900 Orenburgskaya
	5001 Komi-Permyatskii
	5009 Permskaya
	5100 Sverdlovskaya
	5200 Chelyabinskaya
	5301 Altay rep
	5309 Altaiskii kray
	5400 Kemerovskaya
	5500 Novosibirskaya
	5600 Omskaya
	5700 Tomskaya
	5801 Khanty-Mansiiskii
	5802 Yamalo-Nenetskii
	5809 Tyumenskaya
	6000 Buryatia
	6100 Tuva
	6201 Khakasia
	6202 Taymyrskii
	6203 Evenkiskii
	6209 Krasnoyarskii
	6301 Ust Ordynskii Buryatskii
	6309 Irkutskaya
	6401 Aginskii Buryatskii
	6409 Chitinskaya
	6500 Yakutia
	6600 Primorskii
	6701 Evreiskaya
	6709 Khabarovskii
	6800 Amurskaya
	6901 Koryakskii
	6909 Kamchatskaya
	7001 Chukotskii
	7009 Magadanskaya
	7100 Sakhalinskaya
	7200 Kaliningradskaya
	0301 Nenetskii /

set d	Districts /
	cen	Central Federal Okrug (Moscow), 
	nor	North-West Federal Okrug (St. Petersberg),
	sou	South Federal Okrug (Rstov-on-Don)
	pvl	Provlzhsky Federal Okrug (Volga)
	ura	Urals Federal Okrug (Ekaterinburg),
	sib	Siberia Federal Okrug (Novosibirsk)
	far	Far-East Federal Okrug (Khabarovsk) /;

set mapr(d,r) /
	cen.(msk,bel,bry,vla,vor,iva,kal,kos,krs,lip,mos,orl,rya,smo,tam,tve,tul,yar)
	nor.(spb,krl,kom,arh,vol,klg,len,mur,nov,psk,nen)
	sou.(ros,vlg,ady,dag,ing,kab,klr,kar,sev,chr,kdk,sta,ast)
	pvl.(bas,mar,mor,tat,udm,chv,kir,niz,ore,pen,per,sam,sar,ulo,kpa)
	ura.(krg,sve,tum,chl,kha,yam)
	sib.(alr,bur,tyv,hak,alt,kra,irk,kem,nvs,oms,tom,chi,eao,agi,eve,tai,ust)
	far.(sah,pri,hab,amu,kam,mag,sao,chu,kor) /;

set mapn(d,n) /
	cen.(0900,1000,1100,1200,1300,1401,1409,1500,1600,1700,1800,1900,2000,2600,2700,2800,2900,3000)
	nor.(0100,0200,0309,0400,0500,0601,0609,0700,0800,7200,0301)
	sou.(3100,3300,3400,3900,4000,4100,4201,4202,4301,4309,4401,4409,4500)
	pvl.(2100,2200,2300,2400,2500,3200,3500,3600,3700,3800,4600,4700,4900,5001,5009)
	ura.(4800,5100,5200,5801,5802,5809)
	sib.(5301,5309,5400,5500,5600,5700,6000,6100,6201,6202,6203,6209,6301,6309,6401,6409,6701)
	far.(6500,6600,6709,6800,6901,6909,7001,7009,7100) /;

parameter	v(d)	Values;

v(d) = ord(d);

$eolcom !
set mapopt7 /
	title	 "Russian Map with 7 Regions"
	titlepos 50 95
	LineWidth 0  ! Line width (0..3) [Integer]
	FontSize 8  ! Font Size (4..10) [Integer]
	SpaceAround 10  ! Border width (5..20) [Integer]
	DesiredWidth 500  ! Width of map (500..1500) [Integer]
	LowColor 180 255 255  ! Color for smallest score [3 integers RGB value]
	MidColor 225 225 90  ! Color for median score [3 integers RGB value]
	HighColor 255 100 100  ! Color for highest score [3 integers RGB value]
	UseGreys True  ! Use grey tints for region shading [Boolean]
	LowGrey 240 240 240  ! Grey for smallest score [3 integers RGB value]
	MidGrey 170 170 170  ! Grey for median score [3 integers RGB value]
	HighGrey 100 100 100  ! Grey for highest score [3 integers RGB value]
	OrdinalShades True  ! Shade regions according to rank [Boolean]
	BackgroundColor 200 255 255  ! Color for background or sea [3 integers RGB value]
	NumberRegions True  ! Show region numbers at region centres [Boolean]
	ShowScores False  ! Show region scores at region centres [Boolean]
	ShowNames False  ! Show region names at region centres [Boolean]
	NumberRegionPatch False  ! White patch behind region numbers [Boolean]
	ShowLegend True  ! Show color key for scores [Boolean]
	ScoreNDec 0  ! No. of decimal places for scores in color key (0..4) [Integer]
	LegendPos 10 95  ! Color key position: Left,Top as % of Map size (10..90) [2 integers]
	yytrans 120  ! Stretch map vertically (80..120, 100=no stretch) [Integer]
	xDistort 0  ! Positive values stretch right of map more than left (-30..+30, 0=no distortion) [Integer]
	yDistort 0  ! Positive values stretch top of map more than bottom (-30..+30, 0=no distortion) [Integer]
	DotCentroids False  ! Show red dots at region centres [Boolean]
	DotPolyStarts False  ! Mark 1st point of each polygon with red dot [Boolean]
/;
$set shademapopts mapopt7
$libinclude shademap russia7  v 


set mapopt89 /
	title	 "Russian Map with 89 Oblasts"
	titlepos 50 95
	LegendPos 80 95  ! Color key position: Left,Top as % of Map size (10..90) [2 integers]
/;
$set shademapopts mapopt89
$libinclude shademap russia89 v mapr

set mapopt /
	title	 "Russia"
	titlepos 50 95
	LegendPos 80 95  ! Color key position: Left,Top as % of Map size (10..90) [2 integers]
/;
$set shademapopts mapopt
$libinclude shademap russia   v mapn
